API Reference
Auto-generated
Cross Sell
API reference for cross sell endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/cross-sell
GET
/api/v1/cross-sellGet Cross Sell
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/cross-sell \
-H "Authorization: Bearer YOUR_SESSION_TOKEN" \
-H "Content-Type: application/json"Response Example
JSON
{
"suggestion": "example"
}POST /api/v1/cross-sell/events
POST
/api/v1/cross-sell/eventsPost Cross Sell Event
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-Organization-Id | string | Optional | X-Organization-Id |
| product | "crawl" | "map" | "monitor" | "search" | "extract" | Required | Product |
| action | "shown" | "clicked" | "dismissed" | Required | Action |
| surface | "dashboard" | "playground" | "usage" | Optional | surface |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/cross-sell/events \
-H "Authorization: Bearer YOUR_SESSION_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"product": "...",
"action": "..."
}'Response Example
JSON
{
"recorded": true
}